{% extends 'CoreGUIBundle::base_app.html.twig' %}
{% set baseurl=app.request.getBaseUrl() %}
{% set site_key= key_globals.site_key %}
{% set url = app_globals.url_cerprod%}
{% block head_script %}
    {{parent()}}
    <script type="text/javascript" src="{{ asset('bundles/coreseguridad/js/jquery.ui.shake.js') }}"></script>

{% endblock head_script %}

    {% block container %}
        
    {% endblock container%}
    
    {% block body_end_before_js %}
    {% endblock body_end_before_js %}

    {% block foot_script %}   
        {% block foot_script_assetic %}
            
        {% endblock foot_script_assetic %}
    {% endblock foot_script %}


{% block body %}
    <body >

 
    <div class="main-container" id="main-container">

     <div class="main-content">
         <div class="page-header center blue" >
         <!-- navbar goes here -->
        <h2>  SOLICITUD CERTIFICADO DE VACUNACIÓN MSP ECUADOR </h2>
        <div class="hr hr-double hr8"></div>
     </div>


    <div class="page-content">
        <div class="row">
          <div class="col-xs-12 center ">
                <img src="{{asset("bundles/coregui/app/images/logomsp.png")}}" width="250px"/>
          </div>
        </div> 
        <form action="" method="post" id="frmcertificadovacunamsp">
            <div class="row campos" >
                <div class="col-xs-2 "></div>
                <div class="col-xs-8 blue ">
                    <div class="header smaller lighter blue"></div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label required" for="form_cedula" aria-required="true">Identificación<i style="color:red" class="asterisk">*</i></label>
                        <div class="col-sm-9">
                            <input type="text" id="form_cedula" name="form[identificacion]" required="required" class="form-control" aria-required="true">
                        </div>
                    </div>
                </div>
            </div>
            <div class="row campos">
                <div class="col-xs-2 "></div>
                <div class="col-xs-8 blue ">
                    <div class="col-md-12 mr-auto"></div>
                    <div class="col-md-12 mr-auto"></div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label required" for="form_fechanacimiento" aria-required="true">Fecha de Nacimiento<i style="color:red" class="asterisk">*</i></label>
                        <div class="col-sm-9"></script>
                            <input type="date" id="form_datebirth" name="form[fechanacimiento]" required="required" class="form-control" aria-required="true">
                        </div> 
                        <div class="col-sm-1">
                            <div>
                            <button 
                                id = "hcaptcha" 
                                class="btn btn-sm btn-primary btn-white btn-round h-captcha" 
                                data-callback='searchPerson'
                                data-size='invisible'
                                data-sitekey='{{site_key}}'
                                >
                                Buscar
                            </button>
                            </div>
                        </div>                
                    </div>                   
                </div>
            </div>
        </form>
    </div>
    <div class="container">
                <div style="display: flex; justify-content: center; text-align: center;" id="qrcode"></div>
                <div style="display: flex; justify-content: center; text-align: center;"></div>
    </div>   
    <div class="container" style="margin-top: 20px;">
            <div style="display: flex; justify-content: center; text-align: center;" id="qrcode_foot"></div>
            <div class="center" id='div_boton'></div>
    </div>   


{% endblock body%}

{% block body_end %}
            <script src="https://js.hcaptcha.com/1/api.js?hl=es" async defer></script>
            <script src="https://cdn.jsdelivr.net/gh/davidshimjs/qrcodejs@gh-pages/qrcode.min.js"></script>
            <script type="text/javascript">
                fecha_nacimiento='';
                $( document ).ready(function() {
                      
   
                   $('#frmcertificadovacunamsp').trigger("reset");

                    $('#frmcertificadovacunamsp').initInputsForm();
                    $("#frmcertificadovacunamsp").validationForm();

                    $("#form_fechaexpedicion").parent().parent().hide();
                    $("#form_correo").parent().parent().hide();
                    $("#form_correo").attr('readonly',true);


                    $("#btnrequest").hide();
                    $("#btnactualizarcorreo").hide();

                    $.include_once('bootstrap.datetimepicker', function () {
                        $('#form_datebirth, #form_fechaexpedicion',).datetimepicker({
                            format: 'YYYY-MM-DD',
                            maxDate: new Date,
                            minDate: new Date("1910"),
                        }).on('changeDate',function(e){
                            $.alert('Hola', 'danger');
                        })
                    })
                });
                function searchPerson(){
                    if($("#frmcertificadovacunamsp").valid()){
                        $.processWait.show();
                        $.ajax({
                            type: 'POST',
                            dataType: 'json',
                            async: true,
                            url:  "{{ path('hcue_paciente_public_datospacientemsp') }}",
                            data: $("#frmcertificadovacunamsp").serialize(),
                            success: function (json) { 
                                $.processWait.hide();
                                if(json.data.status){
                                    fecha_nacimiento=json.data.datapersona[0]['fechanacimiento'];
                                    var html='';
                                    var htmlboton='';
                                    var htmlheader='';
                                    var htmlfooter='';
                                    if(json.data.datavacuna){
                                        for(var i = 0; i < (json.data.datavacuna).length; i++){
                                            if(json.data.datavacuna[i]['dosisaplicada']==4){
                                                html+='</br>Vacuna:<b>' +json.data.datavacuna[i]['nomvacuna']+  '</b>, Dosis:  <b>Refuerzo 1</b>, Fecha de Vacunación: <b>'+json.data.datavacuna[i]['fechavacuna']+'</b>'
                                            }else if(json.data.datavacuna[i]['dosisaplicada']==999){
                                                html+='</br>Vacuna:<b>' +json.data.datavacuna[i]['nomvacuna']+  '</b>, Dosis:  <b>Refuerzo 2</b>, Fecha de Vacunación: <b>'+json.data.datavacuna[i]['fechavacuna']+'</b>'
                                            }else if(json.data.datavacuna[i]['dosisaplicada']==9){
                                                html+='</br>Vacuna:<b>' +json.data.datavacuna[i]['nomvacuna']+  '</b>, Dosis:  <b>Adicional</b>, Fecha de Vacunación: <b>'+json.data.datavacuna[i]['fechavacuna']+'</b>'
                                            }else{
                                            html+='</br>Vacuna:<b>' +json.data.datavacuna[i]['nomvacuna']+  '</b>, Dosis:  <b>'+json.data.datavacuna[i]['dosisaplicada']+'</b>, Fecha de Vacunación: <b>'+json.data.datavacuna[i]['fechavacuna']+'</b>'
                                            }
                                        }
                                    }
                                    htmlheader+='<h2>CERTIFICADO DE VACUNACIÓN MSP ECUADOR </h2></div>'
                                    htmlfooter+='<label>'+json.data.datapersona[0]['nombres']+'<br>IDENTIFICACIÓN:'+json.data.datapersona[0]['iden']+'<br><br><b>Nota:</b>Capture este código QR y presentelo en los establecimientos que soliciten su certificado de vacunación</label></br>'
                                    htmlboton+='<label><b>Descargar Certificado</b></label><a href="{{ baseurl }}/mostrarcertificadomsp/'+json.data.datapersona[0]['idencrypt']+' "target="_blank" id="btnrequest" onclick="requestCertificate()">&nbsp;&nbsp;(Aquí)</a>'
                                    $.confirm("<div class='alert alert-warning center'>"+ json.data.message+ html+", está seguro de realizar esta solicitud ?", function (result) {
                                    if (result) {
                                            $(".page-header").html('');
                                            $(".page-header").html(htmlheader);
                                            $("#div_boton").html(htmlboton);
                                            $("#qrcode_foot").html(htmlfooter);
                                            generaQr(json.data.datapersona[0]['idencrypt']);
                                            $(".campos").hide();
                                            $("#qrcode_header").show();
                                            
                                    }
                                    });

                                }else{
                                    $.alert(json.data.message, 'danger');
                                    $("#btnrequest").hide();
                                    $("#form_correo").parent().parent().hide();
                                    $("#btnactualizarcorreo").hide();
                                    $("#form_cedula").val("");
                                    $("#form_datebirth").val("");
                                    $("#form_fechaexpedicion").parent().parent().val("");
                                    $("#form_fechaexpedicion").parent().parent().hide();
                                }                             
                            }
                        })
                    }
                }

                function requestCertificate(){
                    
                    $("#form_cedula").val("");
                    $("#form_datebirth").val("");
                    //$("#btnrequest").hide();                    
                }

                function actualizarcorreo(){
                    $("#form_fechaexpedicion").parent().parent().show();
                    $("#form_correo").attr('readonly',false);
                    $("#form_fechaexpedicion").attr('required','true');
                }

                function generaQr(valor){
                    var qrcode = new QRCode(document.getElementById("qrcode"), {
                        text:'{{ url }}/consultarqr/'+valor+'',
                        width: 145,
                        height: 145,
                        display:'center',
                        colorDark : "#000000",
                        colorLight : "#ffffff",
                        correctLevel : QRCode.CorrectLevel.H
                    });
                }
                /* function callbackCaptcha(){
                    setTimeout(()=>{
                        $.processWait.show();
                    searchPerson();
                    },500);
                    grecaptcha.ready(function() {
                        grecaptcha.execute('{{site_key}}', {action: 'certificado'})
                            .then(function(token) {
                                $("#google-response-token").val(token);
                        });
                    });
                } */

               {#  function callbackCaptcha(token){
                    setTimeout(()=>{
                        $.processWait.show();
                    searchPerson();
                    },500);
                    hcaptcha.execute(token, { async: true })
                    .then(({ response, site_key }) => {
                        //console.log($('[name=h-captcha-response]').value);
                        $("#h-captcha-response").val(token);
                    })
                    .catch(err => {
                        console.error(err);
                    });
                } #}
                
            </script>

<div class="center">
Copyright (c) 2021 - MSP - ECUADOR
</div>
<div class="center">
This site is protected by <a href="https://www.hCaptcha.com">hCaptcha</a> and its
<a href="https://www.hcaptcha.com/privacy">Privacy Policy</a> and
<a href="https://www.hcaptcha.com/terms">Terms of Service</a> apply.
</div>

{% endblock body_end %}
